Subject: bug#39098: 26.3; bug of mouse-face including linebreak

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2020 17:16:30 +0200

tags 39098 notabug
thanks

> From: [email-masked]
> Date: Sun, 12 Jan 2020 22:32:31 +0900
> 
> If 'mouse-face is put on a reaion including linebreaks and active,
> the appearance of the blank areas right to linebreaks is changed.
> But pointing the blank areas does not activate 'mouse-face.
> 
> If 'mouse-face is put on a region ending with a linebreak,
> the activated appearance covers the first character of the next line.

This is not a bug, this is how mouse-face is supposed to work.  It
differs from other faces in this regard, because it is intended to be
used to show mouse-sensitive text, including text that spans multiple
lines.